Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.vr
Interface QTVRConstants

public interface QTVRConstants

Field Summary
`static int` | `kImagingDefaultValue` OR the above with kImagingDefaultValue to get/set the default value
`static int` | `kQTControllerID`
`static int` | `kQTControllerType`
`static int` | `kQTVRAllHotSpots` Values for enableFlag parameter in QTVREnableHotSpot
`static int` | `kQTVRAllModes` Imaging Modes used by QTVRSetImagingProperty, QTVRGetImagingProperty, QTVRUpdate, QTVRBeginUpdate
`static int` | `kQTVRAngleRangeAtomType` Miscellaneous atom types
`static int` | `kQTVRCantPanDown` Constraint values used to construct value returned by GetConstraintStatus
`static int` | `kQTVRCantPanLeft` Constraint values used to construct value returned by GetConstraintStatus
`static int` | `kQTVRCantPanRight` Constraint values used to construct value returned by GetConstraintStatus
`static int` | `kQTVRCantPanUp` Constraint values used to construct value returned by GetConstraintStatus
`static int` | `kQTVRCantTranslateDown` Constraint values used to construct value returned by GetConstraintStatus
`static int` | `kQTVRCantTranslateLeft` Constraint values used to construct value returned by GetConstraintStatus
`static int` | `kQTVRCantTranslateRight` Constraint values used to construct value returned by GetConstraintStatus
`static int` | `kQTVRCantTranslateUp` Constraint values used to construct value returned by GetConstraintStatus
`static int` | `kQTVRCantZoomIn` Constraint values used to construct value returned by GetConstraintStatus
`static int` | `kQTVRCantZoomOut` Constraint values used to construct value returned by GetConstraintStatus
`static int` | `kQTVRCanZoom`
`static int` | `kQTVRColorCursorAtomType` VRWorld atom types
`static int` | `kQTVRColorCursorType` Cursor types used in type field of QTVRCursorRecord
`static int` | `kQTVRControllerSubType`
`static int` | `kQTVRCurrent`
`static int` | `kQTVRCurrentMode` Imaging Modes used by QTVRSetImagingProperty, QTVRGetImagingProperty, QTVRUpdate, QTVRBeginUpdate
`static int` | `kQTVRCurrentNode` Special Values for nodeID in QTVRGoToNodeID
`static int` | `kQTVRCursorAtomType` VRWorld atom types
`static int` | `kQTVRCursorParentAtomType` VRWorld atom types
`static int` | `kQTVRDefault`
`static int` | `kQTVRDefaultNode` Special Values for nodeID in QTVRGoToNodeID
`static int` | `kQTVRDegrees` Angular units used by QTVRSetAngularUnits
`static int` | `kQTVRDontLoopViewFrames` Values for setting parameter in QTVRSetAnimationSetting, QTVRGetAnimationSetting View Frame Animation Settings
`static int` | `kQTVRDown`
`static int` | `kQTVRDownLeft`
`static int` | `kQTVRDownRight`
`static int` | `kQTVRFieldOfView` Values for kind parameter in QTVRGet/SetConstraints, QTVRGetViewingLimits
`static int` | `kQTVRFOVConstraintAtomType` Miscellaneous atom types
`static int` | `kQTVRFullCorrection` Panorama correction modes used for the kQTVRImagingCorrection imaging property
`static int` | `kQTVRGetHotSpotTypeSelector`
`static int` | `kQTVRHotSpotAtomType` NodeInfo atom types
`static int` | `kQTVRHotSpotEnter` Values for flags parameter in QTVRMouseOverHotSpot callback
`static int` | `kQTVRHotSpotID` Values for enableFlag parameter in QTVREnableHotSpot
`static int` | `kQTVRHotSpotInfoAtomType` NodeInfo atom types
`static int` | `kQTVRHotSpotLeave` Values for flags parameter in QTVRMouseOverHotSpot callback
`static int` | `kQTVRHotSpotLinkType` QTVR hot spot types
`static int` | `kQTVRHotSpotNavigableType` Old hot spot types
`static int` | `kQTVRHotSpotParentAtomType` NodeInfo atom types
`static int` | `kQTVRHotSpotTrackRefAtomType` Miscellaneous atom types
`static int` | `kQTVRHotSpotTrackRefType` Track reference types
`static int` | `kQTVRHotSpotType` Values for enableFlag parameter in QTVREnableHotSpot
`static int` | `kQTVRHotSpotUndefinedType` QTVR hot spot types
`static int` | `kQTVRHotSpotURLType` QTVR hot spot types
`static int` | `kQTVRHotSpotWithin` Values for flags parameter in QTVRMouseOverHotSpot callback
`static int` | `kQTVRImageTrackRefAtomType` Miscellaneous atom types
`static int` | `kQTVRImageTrackRefType` Track reference types
`static int` | `kQTVRImagingCorrection` Imaging Properties used by QTVRSetImagingProperty, QTVRGetImagingProperty
`static int` | `kQTVRImagingCurrentMode` Imaging Properties used by QTVRSetImagingProperty, QTVRGetImagingProperty
`static int` | `kQTVRImagingDirectDraw` Imaging Properties used by QTVRSetImagingProperty, QTVRGetImagingProperty
`static int` | `kQTVRImagingParentAtomType` VRWorld atom types
`static int` | `kQTVRImagingQuality` Imaging Properties used by QTVRSetImagingProperty, QTVRGetImagingProperty
`static int` | `kQTVRInteractionDefaultValue` OR the above with kQTVRInteractionDefaultValue to get/set the default value
`static int` | `kQTVRInteractionMouseClickHysteresis` Properties for use with QTVRSetInteractionProperty/GetInteractionProperty
`static int` | `kQTVRInteractionMouseClickTimeout` Properties for use with QTVRSetInteractionProperty/GetInteractionProperty
`static int` | `kQTVRInteractionMouseMotionScale` Properties for use with QTVRSetInteractionProperty/GetInteractionProperty
`static int` | `kQTVRInteractionNudgeMode` Properties for use with QTVRSetInteractionProperty/GetInteractionProperty
`static int` | `kQTVRInteractionPanTiltSpeed` Properties for use with QTVRSetInteractionProperty/GetInteractionProperty
`static int` | `kQTVRInteractionTranslateOnMouseDown` Properties for use with QTVRSetInteractionProperty/GetInteractionProperty
`static int` | `kQTVRInteractionZoomSpeed` Properties for use with QTVRSetInteractionProperty/GetInteractionProperty
`static int` | `kQTVRLeft`
`static int` | `kQTVRLinkInfoAtomType` NodeInfo atom types
`static int` | `kQTVRMotion` Imaging Modes used by QTVRSetImagingProperty, QTVRGetImagingProperty, QTVRUpdate, QTVRBeginUpdate
`static int` | `kQTVRMouseDown`
`static int` | `kQTVRMouseDownSelector`
`static int` | `kQTVRMouseEnterSelector`
`static int` | `kQTVRMouseLeaveSelector`
`static int` | `kQTVRMouseStillDownSelector`
`static int` | `kQTVRMouseUpSelector`
`static int` | `kQTVRMouseWithinSelector`
`static int` | `kQTVRNoCorrection` Panorama correction modes used for the kQTVRImagingCorrection imaging property
`static int` | `kQTVRNodeHeaderAtomType` NodeInfo atom types
`static int` | `kQTVRNodeIDAtomType` VRWorld atom types
`static int` | `kQTVRNodeLocationAtomType` VRWorld atom types
`static int` | `kQTVRNodeParentAtomType` VRWorld atom types
`static int` | `kQTVRNudgeRotate`
`static int` | `kQTVRNudgeSameAsMouse`
`static int` | `kQTVRNudgeTranslate`
`static int` | `kQTVRObjectHotSpotTrackRefAtomID`
`static int` | `kQTVRObjectImageTrackRefAtomID`
`static int` | `kQTVRObjectImagingAtomType` VRWorld atom types
`static int` | `kQTVRObjectInfoAtomID`
`static int` | `kQTVRObjectInfoAtomType` Miscellaneous atom types
`static int` | `kQTVRObjectType`
`static int` | `kQTVROldObjectType`
`static int` | `kQTVROldPanoType`
`static int` | `kQTVRPalindromeViewFrames` Values for setting parameter in QTVRSetAnimationSetting, QTVRGetAnimationSetting View Frame Animation Settings
`static int` | `kQTVRPalindromeViews` Values for setting parameter in QTVRSetAnimationSetting, QTVRGetAnimationSetting View Frame Animation Settings
`static int` | `kQTVRPan` Values for kind parameter in QTVRGet/SetConstraints, QTVRGetViewingLimits
`static int` | `kQTVRPanConstraintAtomType` Miscellaneous atom types
`static int` | `kQTVRPanning` Object-only mouse mode values used to construct value returned by QTVRGetCurrentMouseMode
`static int` | `kQTVRPanoFlagHorizontal` Values for flags field in QTVRPanoSampleAtom
`static int` | `kQTVRPanoFlagLast` Values for flags field in QTVRPanoSampleAtom
`static int` | `kQTVRPanoImagingAtomType` VRWorld atom types
`static int` | `kQTVRPanoramaType`
`static int` | `kQTVRPanoSampleDataAtomType` Miscellaneous atom types
`static int` | `kQTVRPartialCorrection` Panorama correction modes used for the kQTVRImagingCorrection imaging property
`static int` | `kQTVRPlayEveryViewFrame` Values for setting parameter in QTVRSetAnimationSetting, QTVRGetAnimationSetting View Frame Animation Settings
`static int` | `kQTVRPlayStreamingViews` Values for setting parameter in QTVRSetAnimationSetting, QTVRGetAnimationSetting View Frame Animation Settings
`static int` | `kQTVRPreScreenEveryIdle` Values for flags parameter in QTVRSetPrescreenImagingCompleteProc
`static int` | `kQTVRPreviousNode` Special Values for nodeID in QTVRGoToNodeID
`static int` | `kQTVRQTVRType`
`static int` | `kQTVRRadians` Angular units used by QTVRSetAngularUnits
`static int` | `kQTVRReverseHControl`
`static int` | `kQTVRReverseVControl`
`static int` | `kQTVRRight`
`static int` | `kQTVRSameFile` Values for locationFlags field in QTVRNodeLocationAtom
`static int` | `kQTVRScrolling` Object-only mouse mode values used to construct value returned by QTVRGetCurrentMouseMode
`static int` | `kQTVRSelecting` Object-only mouse mode values used to construct value returned by QTVRGetCurrentMouseMode
`static int` | `kQTVRSetFieldOfViewSelector`
`static int` | `kQTVRSetPanAngleSelector`
`static int` | `kQTVRSetTiltAngleSelector`
`static int` | `kQTVRSetViewCenterSelector`
`static int` | `kQTVRStartFirstViewFrame` Values for setting parameter in QTVRSetAnimationSetting, QTVRGetAnimationSetting View Frame Animation Settings
`static int` | `kQTVRStatic` Imaging Modes used by QTVRSetImagingProperty, QTVRGetImagingProperty, QTVRUpdate, QTVRBeginUpdate
`static int` | `kQTVRStdCursorType` Cursor types used in type field of QTVRCursorRecord
`static int` | `kQTVRStringAtomType` Miscellaneous atom types
`static int` | `kQTVRStringEncodingAtomType` Miscellaneous atom types
`static int` | `kQTVRSwapHVControl`
`static int` | `kQTVRSyncViewToFrameRate` Values for setting parameter in QTVRSetAnimationSetting, QTVRGetAnimationSetting View Frame Animation Settings
`static int` | `kQTVRTilt` Values for kind parameter in QTVRGet/SetConstraints, QTVRGetViewingLimits
`static int` | `kQTVRTiltConstraintAtomType` Miscellaneous atom types
`static int` | `kQTVRTrackRefArrayAtomType` Miscellaneous atom types
`static int` | `kQTVRTransitionDirection` Transition Properties QTVRSetTransitionProperty
`static int` | `kQTVRTransitionSpeed` Transition Properties QTVRSetTransitionProperty
`static int` | `kQTVRTransitionSwing` Transition Types used by QTVRSetTransitionProperty, QTVREnableTransition
`static int` | `kQTVRTranslating` Object-only mouse mode values used to construct value returned by QTVRGetCurrentMouseMode
`static int` | `kQTVRTranslation`
`static int` | `kQTVRTriggerHotSpotSelector`
`static int` | `kQTVRUnconstrained` Constraint values used to construct value returned by GetConstraintStatus
`static int` | `kQTVRUp`
`static int` | `kQTVRUpLeft`
`static int` | `kQTVRUpRight`
`static int` | `kQTVRUseDefaultCursor` Cursor types used in type field of QTVRCursorRecord
`static int` | `kQTVRValidFOV` Valid bits used in QTVRLinkHotSpotAtom
`static int` | `kQTVRValidPan` Valid bits used in QTVRLinkHotSpotAtom
`static int` | `kQTVRValidTilt` Valid bits used in QTVRLinkHotSpotAtom
`static int` | `kQTVRValidViewCenter` Valid bits used in QTVRLinkHotSpotAtom
`static int` | `kQTVRViewCenterH` Values for kind parameter in QTVRGet/SetConstraints, QTVRGetViewingLimits
`static int` | `kQTVRViewCenterV` Values for kind parameter in QTVRGet/SetConstraints, QTVRGetViewingLimits
`static int` | `kQTVRWorldHeaderAtomType` VRWorld atom types
`static int` | `kQTVRWrapPan`
`static int` | `kQTVRWrapTilt`
`static int` | `kQTVRZooming` Object-only mouse mode values used to construct value returned by QTVRGetCurrentMouseMode
`static int` | `mcFlagQTVRExplicitFlagSet` Flags to control elements of the QTVR control bar (set via mcActionSetFlags)
`static int` | `mcFlagQTVRSuppressBackBtn` Flags to control elements of the QTVR control bar (set via mcActionSetFlags)
`static int` | `mcFlagQTVRSuppressHelpText` Flags to control elements of the QTVR control bar (set via mcActionSetFlags)
`static int` | `mcFlagQTVRSuppressHotSpotBtn` Flags to control elements of the QTVR control bar (set via mcActionSetFlags)
`static int` | `mcFlagQTVRSuppressHotSpotNames` Flags to control elements of the QTVR control bar (set via mcActionSetFlags)
`static int` | `mcFlagQTVRSuppressTranslateBtn` Flags to control elements of the QTVR control bar (set via mcActionSetFlags)
`static int` | `mcFlagQTVRSuppressZoomBtns` Flags to control elements of the QTVR control bar (set via mcActionSetFlags)

Field Detail

### kQTVRSetPanAngleSelector

    public static final int kQTVRSetPanAngleSelector

### kQTVRSetTiltAngleSelector

    public static final int kQTVRSetTiltAngleSelector

### kQTVRSetFieldOfViewSelector

    public static final int kQTVRSetFieldOfViewSelector

### kQTVRSetViewCenterSelector

    public static final int kQTVRSetViewCenterSelector

### kQTVRMouseEnterSelector

    public static final int kQTVRMouseEnterSelector

### kQTVRMouseWithinSelector

    public static final int kQTVRMouseWithinSelector

### kQTVRMouseLeaveSelector

    public static final int kQTVRMouseLeaveSelector

### kQTVRMouseDownSelector

    public static final int kQTVRMouseDownSelector

### kQTVRMouseStillDownSelector

    public static final int kQTVRMouseStillDownSelector

### kQTVRMouseUpSelector

    public static final int kQTVRMouseUpSelector

### kQTVRTriggerHotSpotSelector

    public static final int kQTVRTriggerHotSpotSelector

### kQTVRGetHotSpotTypeSelector

    public static final int kQTVRGetHotSpotTypeSelector

### kQTVRControllerSubType

    public static final int kQTVRControllerSubType

### kQTVRQTVRType

    public static final int kQTVRQTVRType

### kQTVRPanoramaType

    public static final int kQTVRPanoramaType

### kQTVRObjectType

    public static final int kQTVRObjectType

### kQTVROldPanoType

    public static final int kQTVROldPanoType

### kQTVROldObjectType

    public static final int kQTVROldObjectType

### kQTVRHotSpotLinkType

    public static final int kQTVRHotSpotLinkType

  QTVR hot spot types

### kQTVRHotSpotURLType

    public static final int kQTVRHotSpotURLType

  QTVR hot spot types

### kQTVRHotSpotUndefinedType

    public static final int kQTVRHotSpotUndefinedType

  QTVR hot spot types

### kQTVRCurrentNode

    public static final int kQTVRCurrentNode

  Special Values for nodeID in QTVRGoToNodeID

### kQTVRPreviousNode

    public static final int kQTVRPreviousNode

  Special Values for nodeID in QTVRGoToNodeID

### kQTVRDefaultNode

    public static final int kQTVRDefaultNode

  Special Values for nodeID in QTVRGoToNodeID

### kQTVRNoCorrection

    public static final int kQTVRNoCorrection

  Panorama correction modes used for the kQTVRImagingCorrection imaging property

### kQTVRPartialCorrection

    public static final int kQTVRPartialCorrection

  Panorama correction modes used for the kQTVRImagingCorrection imaging property

### kQTVRFullCorrection

    public static final int kQTVRFullCorrection

  Panorama correction modes used for the kQTVRImagingCorrection imaging property

### kQTVRStatic

    public static final int kQTVRStatic

  Imaging Modes used by QTVRSetImagingProperty, QTVRGetImagingProperty, QTVRUpdate, QTVRBeginUpdate

### kQTVRMotion

    public static final int kQTVRMotion

  Imaging Modes used by QTVRSetImagingProperty, QTVRGetImagingProperty, QTVRUpdate, QTVRBeginUpdate

### kQTVRCurrentMode

    public static final int kQTVRCurrentMode

  Imaging Modes used by QTVRSetImagingProperty, QTVRGetImagingProperty, QTVRUpdate, QTVRBeginUpdate

### kQTVRAllModes

    public static final int kQTVRAllModes

  Imaging Modes used by QTVRSetImagingProperty, QTVRGetImagingProperty, QTVRUpdate, QTVRBeginUpdate

### kQTVRImagingCorrection

    public static final int kQTVRImagingCorrection

  Imaging Properties used by QTVRSetImagingProperty, QTVRGetImagingProperty

### kQTVRImagingQuality

    public static final int kQTVRImagingQuality

  Imaging Properties used by QTVRSetImagingProperty, QTVRGetImagingProperty

### kQTVRImagingDirectDraw

    public static final int kQTVRImagingDirectDraw

  Imaging Properties used by QTVRSetImagingProperty, QTVRGetImagingProperty

### kQTVRImagingCurrentMode

    public static final int kQTVRImagingCurrentMode

  Imaging Properties used by QTVRSetImagingProperty, QTVRGetImagingProperty

### kImagingDefaultValue

    public static final int kImagingDefaultValue

  OR the above with kImagingDefaultValue to get/set the default value

### kQTVRTransitionSwing

    public static final int kQTVRTransitionSwing

  Transition Types used by QTVRSetTransitionProperty, QTVREnableTransition

### kQTVRTransitionSpeed

    public static final int kQTVRTransitionSpeed

  Transition Properties QTVRSetTransitionProperty

### kQTVRTransitionDirection

    public static final int kQTVRTransitionDirection

  Transition Properties QTVRSetTransitionProperty

### kQTVRUnconstrained

    public static final int kQTVRUnconstrained

  Constraint values used to construct value returned by GetConstraintStatus

### kQTVRCantPanLeft

    public static final int kQTVRCantPanLeft

  Constraint values used to construct value returned by GetConstraintStatus

### kQTVRCantPanRight

    public static final int kQTVRCantPanRight

  Constraint values used to construct value returned by GetConstraintStatus

### kQTVRCantPanUp

    public static final int kQTVRCantPanUp

  Constraint values used to construct value returned by GetConstraintStatus

### kQTVRCantPanDown

    public static final int kQTVRCantPanDown

  Constraint values used to construct value returned by GetConstraintStatus

### kQTVRCantZoomIn

    public static final int kQTVRCantZoomIn

  Constraint values used to construct value returned by GetConstraintStatus

### kQTVRCantZoomOut

    public static final int kQTVRCantZoomOut

  Constraint values used to construct value returned by GetConstraintStatus

### kQTVRCantTranslateLeft

    public static final int kQTVRCantTranslateLeft

  Constraint values used to construct value returned by GetConstraintStatus

### kQTVRCantTranslateRight

    public static final int kQTVRCantTranslateRight

  Constraint values used to construct value returned by GetConstraintStatus

### kQTVRCantTranslateUp

    public static final int kQTVRCantTranslateUp

  Constraint values used to construct value returned by GetConstraintStatus

### kQTVRCantTranslateDown

    public static final int kQTVRCantTranslateDown

  Constraint values used to construct value returned by GetConstraintStatus

### kQTVRPanning

    public static final int kQTVRPanning

  Object-only mouse mode values used to construct value returned by QTVRGetCurrentMouseMode

### kQTVRTranslating

    public static final int kQTVRTranslating

  Object-only mouse mode values used to construct value returned by QTVRGetCurrentMouseMode

### kQTVRZooming

    public static final int kQTVRZooming

  Object-only mouse mode values used to construct value returned by QTVRGetCurrentMouseMode

### kQTVRScrolling

    public static final int kQTVRScrolling

  Object-only mouse mode values used to construct value returned by QTVRGetCurrentMouseMode

### kQTVRSelecting

    public static final int kQTVRSelecting

  Object-only mouse mode values used to construct value returned by QTVRGetCurrentMouseMode

### kQTVRInteractionMouseClickHysteresis

    public static final int kQTVRInteractionMouseClickHysteresis

  Properties for use with QTVRSetInteractionProperty/GetInteractionProperty

### kQTVRInteractionMouseClickTimeout

    public static final int kQTVRInteractionMouseClickTimeout

  Properties for use with QTVRSetInteractionProperty/GetInteractionProperty

### kQTVRInteractionPanTiltSpeed

    public static final int kQTVRInteractionPanTiltSpeed

  Properties for use with QTVRSetInteractionProperty/GetInteractionProperty

### kQTVRInteractionZoomSpeed

    public static final int kQTVRInteractionZoomSpeed

  Properties for use with QTVRSetInteractionProperty/GetInteractionProperty

### kQTVRInteractionTranslateOnMouseDown

    public static final int kQTVRInteractionTranslateOnMouseDown

  Properties for use with QTVRSetInteractionProperty/GetInteractionProperty

### kQTVRInteractionMouseMotionScale

    public static final int kQTVRInteractionMouseMotionScale

  Properties for use with QTVRSetInteractionProperty/GetInteractionProperty

### kQTVRInteractionNudgeMode

    public static final int kQTVRInteractionNudgeMode

  Properties for use with QTVRSetInteractionProperty/GetInteractionProperty

### kQTVRInteractionDefaultValue

    public static final int kQTVRInteractionDefaultValue

  OR the above with kQTVRInteractionDefaultValue to get/set the default value

### kQTVRDegrees

    public static final int kQTVRDegrees

  Angular units used by QTVRSetAngularUnits

### kQTVRRadians

    public static final int kQTVRRadians

  Angular units used by QTVRSetAngularUnits

### kQTVRHotSpotID

    public static final int kQTVRHotSpotID

  Values for enableFlag parameter in QTVREnableHotSpot

### kQTVRHotSpotType

    public static final int kQTVRHotSpotType

  Values for enableFlag parameter in QTVREnableHotSpot

### kQTVRAllHotSpots

    public static final int kQTVRAllHotSpots

  Values for enableFlag parameter in QTVREnableHotSpot

### kQTVRPan

    public static final int kQTVRPan

  Values for kind parameter in QTVRGet/SetConstraints, QTVRGetViewingLimits

### kQTVRTilt

    public static final int kQTVRTilt

  Values for kind parameter in QTVRGet/SetConstraints, QTVRGetViewingLimits

### kQTVRFieldOfView

    public static final int kQTVRFieldOfView

  Values for kind parameter in QTVRGet/SetConstraints, QTVRGetViewingLimits

### kQTVRViewCenterH

    public static final int kQTVRViewCenterH

  Values for kind parameter in QTVRGet/SetConstraints, QTVRGetViewingLimits

### kQTVRViewCenterV

    public static final int kQTVRViewCenterV

  Values for kind parameter in QTVRGet/SetConstraints, QTVRGetViewingLimits

### kQTVRPalindromeViewFrames

    public static final int kQTVRPalindromeViewFrames

  Values for setting parameter in QTVRSetAnimationSetting, QTVRGetAnimationSetting View Frame Animation Settings

### kQTVRStartFirstViewFrame

    public static final int kQTVRStartFirstViewFrame

  Values for setting parameter in QTVRSetAnimationSetting, QTVRGetAnimationSetting View Frame Animation Settings

### kQTVRDontLoopViewFrames

    public static final int kQTVRDontLoopViewFrames

  Values for setting parameter in QTVRSetAnimationSetting, QTVRGetAnimationSetting View Frame Animation Settings

### kQTVRPlayEveryViewFrame

    public static final int kQTVRPlayEveryViewFrame

  Values for setting parameter in QTVRSetAnimationSetting, QTVRGetAnimationSetting View Frame Animation Settings

### kQTVRSyncViewToFrameRate

    public static final int kQTVRSyncViewToFrameRate

  Values for setting parameter in QTVRSetAnimationSetting, QTVRGetAnimationSetting View Frame Animation Settings

### kQTVRPalindromeViews

    public static final int kQTVRPalindromeViews

  Values for setting parameter in QTVRSetAnimationSetting, QTVRGetAnimationSetting View Frame Animation Settings

### kQTVRPlayStreamingViews

    public static final int kQTVRPlayStreamingViews

  Values for setting parameter in QTVRSetAnimationSetting, QTVRGetAnimationSetting View Frame Animation Settings

### kQTVRWrapPan

    public static final int kQTVRWrapPan

### kQTVRWrapTilt

    public static final int kQTVRWrapTilt

### kQTVRCanZoom

    public static final int kQTVRCanZoom

### kQTVRReverseHControl

    public static final int kQTVRReverseHControl

### kQTVRReverseVControl

    public static final int kQTVRReverseVControl

### kQTVRSwapHVControl

    public static final int kQTVRSwapHVControl

### kQTVRTranslation

    public static final int kQTVRTranslation

### kQTVRDefault

    public static final int kQTVRDefault

### kQTVRCurrent

    public static final int kQTVRCurrent

### kQTVRMouseDown

    public static final int kQTVRMouseDown

### kQTVRRight

    public static final int kQTVRRight

### kQTVRUpRight

    public static final int kQTVRUpRight

### kQTVRUp

    public static final int kQTVRUp

### kQTVRUpLeft

    public static final int kQTVRUpLeft

### kQTVRLeft

    public static final int kQTVRLeft

### kQTVRDownLeft

    public static final int kQTVRDownLeft

### kQTVRDown

    public static final int kQTVRDown

### kQTVRDownRight

    public static final int kQTVRDownRight

### kQTVRNudgeRotate

    public static final int kQTVRNudgeRotate

### kQTVRNudgeTranslate

    public static final int kQTVRNudgeTranslate

### kQTVRNudgeSameAsMouse

    public static final int kQTVRNudgeSameAsMouse

### mcFlagQTVRSuppressBackBtn

    public static final int mcFlagQTVRSuppressBackBtn

  Flags to control elements of the QTVR control bar (set via mcActionSetFlags)

### mcFlagQTVRSuppressZoomBtns

    public static final int mcFlagQTVRSuppressZoomBtns

  Flags to control elements of the QTVR control bar (set via mcActionSetFlags)

### mcFlagQTVRSuppressHotSpotBtn

    public static final int mcFlagQTVRSuppressHotSpotBtn

  Flags to control elements of the QTVR control bar (set via mcActionSetFlags)

### mcFlagQTVRSuppressTranslateBtn

    public static final int mcFlagQTVRSuppressTranslateBtn

  Flags to control elements of the QTVR control bar (set via mcActionSetFlags)

### mcFlagQTVRSuppressHelpText

    public static final int mcFlagQTVRSuppressHelpText

  Flags to control elements of the QTVR control bar (set via mcActionSetFlags)

### mcFlagQTVRSuppressHotSpotNames

    public static final int mcFlagQTVRSuppressHotSpotNames

  Flags to control elements of the QTVR control bar (set via mcActionSetFlags)

### mcFlagQTVRExplicitFlagSet

    public static final int mcFlagQTVRExplicitFlagSet

  Flags to control elements of the QTVR control bar (set via mcActionSetFlags)

### kQTVRUseDefaultCursor

    public static final int kQTVRUseDefaultCursor

  Cursor types used in type field of QTVRCursorRecord

### kQTVRStdCursorType

    public static final int kQTVRStdCursorType

  Cursor types used in type field of QTVRCursorRecord

### kQTVRColorCursorType

    public static final int kQTVRColorCursorType

  Cursor types used in type field of QTVRCursorRecord

### kQTVRHotSpotEnter

    public static final int kQTVRHotSpotEnter

  Values for flags parameter in QTVRMouseOverHotSpot callback

### kQTVRHotSpotWithin

    public static final int kQTVRHotSpotWithin

  Values for flags parameter in QTVRMouseOverHotSpot callback

### kQTVRHotSpotLeave

    public static final int kQTVRHotSpotLeave

  Values for flags parameter in QTVRMouseOverHotSpot callback

### kQTVRPreScreenEveryIdle

    public static final int kQTVRPreScreenEveryIdle

  Values for flags parameter in QTVRSetPrescreenImagingCompleteProc

### kQTControllerType

    public static final int kQTControllerType

### kQTControllerID

    public static final int kQTControllerID

### kQTVRWorldHeaderAtomType

    public static final int kQTVRWorldHeaderAtomType

  VRWorld atom types

### kQTVRImagingParentAtomType

    public static final int kQTVRImagingParentAtomType

  VRWorld atom types

### kQTVRPanoImagingAtomType

    public static final int kQTVRPanoImagingAtomType

  VRWorld atom types

### kQTVRObjectImagingAtomType

    public static final int kQTVRObjectImagingAtomType

  VRWorld atom types

### kQTVRNodeParentAtomType

    public static final int kQTVRNodeParentAtomType

  VRWorld atom types

### kQTVRNodeIDAtomType

    public static final int kQTVRNodeIDAtomType

  VRWorld atom types

### kQTVRNodeLocationAtomType

    public static final int kQTVRNodeLocationAtomType

  VRWorld atom types

### kQTVRCursorParentAtomType

    public static final int kQTVRCursorParentAtomType

  VRWorld atom types

### kQTVRCursorAtomType

    public static final int kQTVRCursorAtomType

  VRWorld atom types

### kQTVRColorCursorAtomType

    public static final int kQTVRColorCursorAtomType

  VRWorld atom types

### kQTVRNodeHeaderAtomType

    public static final int kQTVRNodeHeaderAtomType

  NodeInfo atom types

### kQTVRHotSpotParentAtomType

    public static final int kQTVRHotSpotParentAtomType

  NodeInfo atom types

### kQTVRHotSpotAtomType

    public static final int kQTVRHotSpotAtomType

  NodeInfo atom types

### kQTVRHotSpotInfoAtomType

    public static final int kQTVRHotSpotInfoAtomType

  NodeInfo atom types

### kQTVRLinkInfoAtomType

    public static final int kQTVRLinkInfoAtomType

  NodeInfo atom types

### kQTVRStringAtomType

    public static final int kQTVRStringAtomType

  Miscellaneous atom types

### kQTVRStringEncodingAtomType

    public static final int kQTVRStringEncodingAtomType

  Miscellaneous atom types

### kQTVRPanoSampleDataAtomType

    public static final int kQTVRPanoSampleDataAtomType

  Miscellaneous atom types

### kQTVRObjectInfoAtomType

    public static final int kQTVRObjectInfoAtomType

  Miscellaneous atom types

### kQTVRImageTrackRefAtomType

    public static final int kQTVRImageTrackRefAtomType

  Miscellaneous atom types

### kQTVRHotSpotTrackRefAtomType

    public static final int kQTVRHotSpotTrackRefAtomType

  Miscellaneous atom types

### kQTVRAngleRangeAtomType

    public static final int kQTVRAngleRangeAtomType

  Miscellaneous atom types

### kQTVRTrackRefArrayAtomType

    public static final int kQTVRTrackRefArrayAtomType

  Miscellaneous atom types

### kQTVRPanConstraintAtomType

    public static final int kQTVRPanConstraintAtomType

  Miscellaneous atom types

### kQTVRTiltConstraintAtomType

    public static final int kQTVRTiltConstraintAtomType

  Miscellaneous atom types

### kQTVRFOVConstraintAtomType

    public static final int kQTVRFOVConstraintAtomType

  Miscellaneous atom types

### kQTVRObjectInfoAtomID

    public static final int kQTVRObjectInfoAtomID

### kQTVRObjectImageTrackRefAtomID

    public static final int kQTVRObjectImageTrackRefAtomID

### kQTVRObjectHotSpotTrackRefAtomID

    public static final int kQTVRObjectHotSpotTrackRefAtomID

### kQTVRImageTrackRefType

    public static final int kQTVRImageTrackRefType

  Track reference types

### kQTVRHotSpotTrackRefType

    public static final int kQTVRHotSpotTrackRefType

  Track reference types

### kQTVRHotSpotNavigableType

    public static final int kQTVRHotSpotNavigableType

  Old hot spot types

### kQTVRValidPan

    public static final int kQTVRValidPan

  Valid bits used in QTVRLinkHotSpotAtom

### kQTVRValidTilt

    public static final int kQTVRValidTilt

  Valid bits used in QTVRLinkHotSpotAtom

### kQTVRValidFOV

    public static final int kQTVRValidFOV

  Valid bits used in QTVRLinkHotSpotAtom

### kQTVRValidViewCenter

    public static final int kQTVRValidViewCenter

  Valid bits used in QTVRLinkHotSpotAtom

### kQTVRPanoFlagHorizontal

    public static final int kQTVRPanoFlagHorizontal

  Values for flags field in QTVRPanoSampleAtom

### kQTVRPanoFlagLast

    public static final int kQTVRPanoFlagLast

  Values for flags field in QTVRPanoSampleAtom

### kQTVRSameFile

    public static final int kQTVRSameFile

  Values for locationFlags field in QTVRNodeLocationAtom

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD